# Class ProcessServiceInstance

#### Hierarchy (view full)

- RWSService
  - ProcessServiceInstance

- Defined in src/services/ProcessService.ts:59

#####
Index

### Constructors

constructor

### Properties

_RELOADABLE
_instances

### Methods

getAllProcessesIds
getInput
getParentPID
getReloadable
reloadService
runShellCommand
sleep
getSingleton

## Constructors

### constructor

- new ProcessServiceInstance(): ProcessServiceInstance

- #### Returns ProcessServiceInstance

  Inherited from RWSService.constructor

  - Defined in src/services/_service.ts:4

## Properties

### _RELOADABLE

_RELOADABLE: boolean = false

Inherited from RWSService._RELOADABLE

- Defined in src/services/_service.ts:2

### `Static` `Protected` _instances

_instances: {
[key: string]: RWSService;
} = {}

#### Type declaration

- ##### [key: string]: RWSService

Inherited from RWSService._instances

- Defined in src/services/_service.ts:7

## Methods

### getAllProcessesIds

- getAllProcessesIds(): number[]

- #### Returns number[]

  - Defined in src/services/ProcessService.ts:66

### getInput

- getInput(prompt): Promise<string>

- #### Parameters

  - ##### prompt: string

  #### Returns Promise<string>

  - Defined in src/services/ProcessService.ts:99

### getParentPID

- getParentPID(pid): number

- #### Parameters

  - ##### pid: number

  #### Returns number

  - Defined in src/services/ProcessService.ts:61

### getReloadable

- getReloadable(): string

- #### Returns string

  Inherited from RWSService.getReloadable

  - Defined in src/services/_service.ts:19

### reloadService

- reloadService<T>(this, ...params): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  - ##### `Rest` ...params: any[]

  #### Returns InstanceType<T>

  Inherited from RWSService.reloadService

  - Defined in src/services/_service.ts:23

### runShellCommand

- runShellCommand(command, cwd?, silent?): Promise<void>

- #### Parameters

  - ##### command: string

  - ##### cwd: string = null

  - ##### silent: boolean = false

  #### Returns Promise<void>

  - Defined in src/services/ProcessService.ts:72

### sleep

- sleep(ms): Promise<void>

- #### Parameters

  - ##### ms: number

  #### Returns Promise<void>

  - Defined in src/services/ProcessService.ts:95

### `Static` getSingleton

- getSingleton<T>(this): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  #### Returns InstanceType<T>

  Inherited from RWSService.getSingleton

  - Defined in src/services/_service.ts:9

Generated using TypeDoc